<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_material.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Material Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_material.html">Material</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_material.html#a3dbb2d757ff62d77db78e02d3d1eca7d">bump</a></td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_material.html#af3007a6aa76a2e6f23778ed5394cf2f7">ca</a></td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_material.html#a5ea8e096eeff4452f59443d6cb9bbdd1">cp</a></td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_material.html#a6b14d96290f6529241d9b898596b83c5">cr</a></td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_material.html#a0b59cfd4617315821575ad1ad8752a7d">decay</a></td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_material.html#a133e528e69badb73022248d69f74e6bb">emissive</a></td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_material.html#aa01fadeeceee9591a552c3688db5a533">getCa</a>()</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_material.html#ad07aff294522f7d3c0d453627bd364fd">getCp</a>()</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_material.html#a0280b01366a8f0fc2ffdeb87ac0fd275">getCr</a>()</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_material.html#abbbad91a1d220c635894891ab71d6563">getLightDecay</a>()</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_material.html#a65f9dd5151b513f5bcf54a5fd59b15f2">getPhong</a>()</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_material.html#acbacd01f9d2f985ede123b91687280e8">getRefractiveIndex</a>()</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_material.html#a6db84f732fc3c38423cbbec8d15e52cb">getTilesNumber</a>()</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_material.html#a9456e7bde8f91663bb7bae200877e45a">isBumpMapped</a>()</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_material.html#a6175de849601404346db9607b44986dd">isEmissive</a>()</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_material.html#a4d14399b390d6795965b51ae9f51e9f4">isReflective</a>()</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_material.html#ad7ca9400c928202eaca2082e291125b1">isRefractive</a>()</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_material.html#a6f2ba344ff230ccb271f60968af8b0e1">isTextureMapped</a>()</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_material.html#aba2f3bbc30230e5d6dc7376b6e88df72">k</a></td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_material.html#a7ec5589e2e78d79fa32c25ee00a3b824">loadPPM</a>(const char *filename)</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_material.html#aa798c4ee73c9078a8c5c23fee3edebae">Material</a>(Vec _cr, Vec _cp, Vec _ca, double _p, double _decay, double _rft, bool _emissive, bool _refl, bool _refr, bool _bump, const char *_filename)</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_material.html#a137e987401b63eb7c6c27c3e38bc74b5">Material</a>()</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_material.html#ab25e134eb2853b9d1207bf4b9163aa1a">p</a></td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_material.html#a396bd4e93971db0e58297864217038b4">reflective</a></td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_material.html#a9af8008c4823e80a06e541f9e4813f7d">refractive</a></td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_material.html#a9fccedcfa4d38d3b36f8c09a48811213">rft</a></td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_material.html#ab1a8ca07450c105b312f501db03d9ded">setBumpMapped</a>(bool _bump)</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_material.html#aeee8f14c34749e8d299ca6e43858a840">setCa</a>(Vec _ca)</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_material.html#a8e1ec1391572fc46164d392f07129174">setCp</a>(Vec _cp)</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_material.html#a847f683a1b2f97d6a7ee182c9e87eca3">setCr</a>(Vec _cr)</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_material.html#a782130f7a711c6607dcfe6124a82469f">setEmissive</a>(bool _emissive)</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_material.html#ae52779c037c246aceac07f2d14fb92a8">setLightDecay</a>(double _decay)</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_material.html#a61bbfad1e60d4e41943972774d0bc067">setPhong</a>(double _p)</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_material.html#a7b442ea5f27bc51da4822e02fb4297bb">setReflective</a>(bool _reflective)</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_material.html#adff5906d2e02f7191d6827f093789780">setRefractive</a>(bool _refractive)</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_material.html#a114906601db621c0d7101961300d8308">setRefractiveIndex</a>(double _rft)</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_material.html#a938b386ff83eb1cde4831c0c36a5407e">setTextureMapped</a>(bool _tex_map)</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_material.html#ae9a0316f3ea807c95d1b3d347bfd7dc0">setTilesNumber</a>(int _tiling)</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_material.html#a64903bf3624a095b95004620cc4c3688">tex_height</a></td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_material.html#ae87327bf313e3ba962250e6bc330f990">tex_image</a></td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_material.html#aa888d8c2af8d3e4b83c84b5bf1a7a44f">tex_map</a></td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_material.html#afbe529757a43277bb1d1a65c42741e68">tex_pixel</a>(Vec &amp;tex_coord)</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_material.html#ae8dc3db8a8b55b6709017d953e8e6ce8">tex_width</a></td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_material.html#ae9546ff9da82a0f7de667d3f9f1ee3fe">tiling</a></td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_material.html#a2c19452d71f54075df8f5405b03129f4">~Material</a>()</td><td class="entry"><a class="el" href="class_material.html">Material</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
